Plugins Database As of 11-22-2019

Adobe Photoshop CC Multiple Vulnerabilities August19 (Mac OS X.)

General
Impact by CVSS Score
  • ID: 1.3.6.1.4.1.25623.1.0.815541

CVSS Base Vector:
AV:N/AC:L/Au:N/C:C/I:C/A:C

Summary:
The host is installed with Adobe Photoshop CC and is prone to multiple vulnerabilities.

Detection Method:
Checks if a vulnerable version is present on the target host.

Technical Details:
Multiple flaws are due to, - Heap overflow errors, - Type confusion errors, - Out of bound read errors, - Command injection errors and - Out of bound write errors.

Impact:
Successful exploitation will allow remote attackers to execute arbitrary code in the context of the application and leak the memory.

Affected Versions:
Adobe Photoshop CC 2018 19.1.8 and earlier and Adobe Photoshop CC 2019 20.0.5 and earlier versions on Mac OS X..

Recommendations:
Upgrade to Adobe Photoshop CC 2018 19.1.9 or Photoshop CC 2019 20.0.6 or later. Please see the references for more information.

Solution Type:
Vendor Patch

Detection Type:
Executable

Search
Severity
High
CVSS Score
10.0
Published
2019-08-14 11:52:04
Modified
2019-08-14 14:30:23
CVE
CVE-2019-7968
CVE-2019-7969
CVE-2019-7970
CVE-2019-7971
CVE-2019-7972
CVE-2019-7973
CVE-2019-7974
CVE-2019-7975
CVE-2019-7976
CVE-2019-7977
CVE-2019-7978
CVE-2019-7979
CVE-2019-7980
CVE-2019-7981
CVE-2019-7982
CVE-2019-7983
CVE-2019-7984
CVE-2019-7985
CVE-2019-7986
CVE-2019-7987
CVE-2019-7988
CVE-2019-7989
CVE-2019-7990
CVE-2019-7991
CVE-2019-7992
CVE-2019-7993
CVE-2019-7994
CVE-2019-7995
CVE-2019-7996
CVE-2019-7997
CVE-2019-7998
CVE-2019-7999
CVE-2019-8000
CVE-2019-8001

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.